unit converbGui1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,ShellApi;

type
  TForm2 = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Label3: TLabel;
    Edit1: TEdit;
    Label4: TLabel;
    Edit2: TEdit;
    Button2: TButton;
    Label5: TLabel;
    Edit3: TEdit;
    Button3: TButton;
    Button4: TButton;
    OpenDialog1: TOpenDialog;
    OpenDialog2: TOpenDialog;
    SaveDialog1: TSaveDialog;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form2: TForm2;
  converbC:string;


implementation

{$R *.dfm}

procedure TForm2.Button1Click(Sender: TObject);
begin
if opendialog1.Execute then edit1.Text:=opendialog1.FileName;

end;

procedure TForm2.Button2Click(Sender: TObject);
begin
if opendialog2.Execute then edit2.Text:=opendialog2.FileName;
end;

procedure TForm2.Button3Click(Sender: TObject);
begin
if savedialog1.Execute then edit3.Text:=savedialog1.FileName;
end;

procedure TForm2.Button4Click(Sender: TObject);
begin
ShellExecute(0, nil, pchar(converbc), pchar('"'+edit1.text+'" "'+edit2.Text+'" "'+edit3.Text+'"'), nil, SW_NORMAL);//SW_HIDE
end;

procedure TForm2.FormCreate(Sender: TObject);
begin

if (TOSVersion.Architecture=arIntelX64) then
begin
  converbC:=GetCurrentDir+'\Converb-c(x64).exe';
  label1.Caption:='64bit Operating System';
end
 else
 begin
   converbC:=GetCurrentDir+'\Converb-c(x86).exe';
   label1.Caption:='32bit Operating System';
 end;

 if fileExists(converbC) then label2.Caption:='converb-c is successfully loaded.' else
 showmessage(converbc);

end;


end.
